Get registered deferred handlers
curl --request POST \
--url https://api.tagada.io/api/public/v1/test/registered-handlers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.tagada.io/api/public/v1/test/registered-handlers"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.tagada.io/api/public/v1/test/registered-handlers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"initialized": true,
"defaultBackend": "qstash",
"totalHandlers": 3,
"handlers": [
{
"key": "test/scenario-executed/deferredQStashNotificationHandler",
"handlerName": "deferredQStashNotificationHandler"
},
{
"key": "test/scenario-executed/deferredInngestWorkflowHandler",
"handlerName": "deferredInngestWorkflowHandler"
},
{
"key": "test/scenario-executed/deferredQStashRetryHandler",
"handlerName": "deferredQStashRetryHandler"
}
]
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}test
Get registered deferred handlers
Inspect the deferred handler registry to see which handlers are registered.
Useful for debugging:
- Verify handlers are registered correctly
- Check which backend is configured as default
- Validate registry initialization status
POST
/
api
/
public
/
v1
/
test
/
registered-handlers
Get registered deferred handlers
Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
The body is of type object.
Response
Successful response
⌘I
